Next: diprintf, Up: Stdio

### 4.1 `clearerr`—clear file or stream error indicator

Synopsis

         #include <stdio.h>
         void clearerr(FILE *fp);

Description
The `stdio` functions maintain an error indicator with each file pointer fp, to record whether any read or write errors have occurred on the associated file or stream. Similarly, it maintains an end-of-file indicator to record whether there is no more data in the file.

Use `clearerr` to reset both of these indicators.

See `ferror` and `feof` to query the two indicators.

Returns
`clearerr` does not return a result.

Portability
ANSI C requires `clearerr`.

No supporting OS subroutines are required.